::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword2" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=21001
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=1-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ] but do not use underscores, breaks some ModMii advanced download conversion stuff
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported

set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=cc8259707a86e35c14fb5682ed689c6f
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=ca45c2f845679a7cb989a6e3ef965a5e
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=ed2ac550be0927593e50d6942d13311d
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=c141bca4687532a28624d4abfd9c08fc
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=e95e9104d53bd72f78b4292c9d1f5125
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=52d6d571c794da6ac651a38c13bfd99f
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=1274085c645451b6006f3373b7f96e8d
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=6a2052be1a843c4fabdb7a5f7e6c65d7
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=6416f9661e602d4fc624489517e72174
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=be214488f1dc461371b82a13e46ee9a6
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=425de78b8d2bb7bc04c39638033f41af
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=6859fe1be74836990fc04422bd1f65da
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=520729baf45f726a692ed1b0d6811f3d
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=92abf83d93ea96f22c12ddefe341d876
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=7263db0d13ea5da1316e72b44aa8f815
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=fd9fcd5b25ff7710ec26fdda6d996218
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=e07fdc145420367f84f5ab6c4aaeadcf
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=b9d6f5e70b5f1ce5b7c17ce5a094f1bf
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=d25d0b3dacdc691fd0212924c29c1eb5
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=e33601dcfefec3c1ba9c096ce1930e4f
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=21f111031d654b91d79521b72cc7345a
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=a024a80ebc99cce9103284718f61a4f0
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=b195eb1dadc50ed1ff40d6ab560d80ef
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=320af52d99a98c80ba270d27dada2096
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=edf5bf9b8e2a2d6112be68b5b83fd96e
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=c4f4e7d5a319c123e1fef31f0b6af3d0
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=cdce7bff533fe5e140f21015a5380b59
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=dacfc7fd1193476d93a284b839afb152
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=c6e1b9c0631066a407290224639b7f1e
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=a66789eca6f47f34f1709d73bf0ed74b
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=4135a092705607d7e91b94787022978b
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=fd1ee9c743c71ae2fb217aa60ab4f8a1

::cIOS251[38] is only an option in ModMii v6.6.0-6.6.3, so if not updated it won't be an issue for most people (this is the same as 249[38] with its slot changed to 251 by patchios.exe
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5=daf96f6200e6e677aba9f9cc78fb96e3
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5alt=%md5%
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

